This section describes only cloud service-specific error codes and provides the cause analysis.
Message
{
"errorCodes": "InvalidBundleName"
} Symptom
The package name is missing or invalid.
Possible causes
The request header does not contain bundleName.
The value of bundleName in the request header is different from the package name of the app that calls the getDeviceToken API.
Solution
Verify that the request header contains bundleName.
Verify that the value of bundleName in the request header is the same as the package name of the app that calls the getDeviceToken API.
Message
{
"errorCodes": "InvalidDeviceToken"
} Symptom
The device token is missing or invalid.
Possible causes
The deviceToken parameter is missing from the request or contains special characters.
Solution
Verify that the deviceToken parameter exists in the request and does not contain special characters.
Message
{
"errorCodes": "DeviceTokenExpired"
} Symptom
The device token has expired.
Possible causes
The request parameter deviceToken has expired.
Solution
A device token is valid for 1 hour. Generate a new token and try again.
Message
{
"errorCodes": "InvalidTimeStamp"
} Symptom
The timestamp is missing or invalid.
Possible causes
The timeStamp parameter is missing from the request, or is invalid (not of the Long type).
Solution
Verify that the timeStamp parameter exists in the request and is valid.
Message
{
"errorCodes": "NotFound"
} Symptom
No marking record about the device is found. (The device is authenticated successfully but not marked.)
Possible causes
The marking does not exist on the server.
Solution
Update the device marking status, and then query the marking again.
Change the value of mode to 1 or 2, and try again.
Message
{
"errorCodes": "InvalidMode"
} Symptom
The mode is invalid.
Possible causes
The value of mode in the request is incorrect. For details about the enumerated values of mode, see the parameter description in the API reference.
Solution
Verify that the value of mode in the request is correct and complies with the API specifications.
Message
{
"errorCodes": "InvalidBits"
} Symptom
The bit value is missing or invalid.
Possible causes
The bit value is missing from the request or is not of the Boolean type.
Solution
Verify that the bit value exists in the request and is of the Boolean type (true or false).
Message
{
"errorCodes": "InternalServerError"
} Symptom
Internal server error.
Possible causes
An error occurred in internal server processing.
Solution
If an internal server error code is returned, submit a ticket online.